/* 
  main.h - header file for main.c
*/
int main (int argc, char *argv[]);
void readInputFiles (controlPFstruct * const pControlPF, int argc, char * const argv[]);
void readControlFile (controlPFstruct * const pControlPF,
                      const char * const strControlFileName,
                      char * const strPupCountFileName,
                      char * const strColonyDistanceFileName,
                      char * const strPupCountSEFileName,
                      char * const strPupRemovalsFileName,
                      char * const strJuvRemovalsFileName,
                      char * const strAdultRemovalsFileName,
                      Int * const intStartAt,
                      boolean * const blnSkipFirstColumn);
enum priorDists getPriorDistEnum(char *strPriorDist);
int **getCountFileToMatrix (controlPFstruct * const pControlPF,
                      char * strCountFileName,
                      const Int intStartAt,
                      const boolean blnSkipFirstColumn);
void readColonyDistanceFile (controlPFstruct * const pControlPF, 
                             char * strColonyDistanceFileName);
void initDatabase (controlPFstruct * const pControlPF, metastruct **pMeta);
void uninitDatabase (controlPFstruct * const pControlPF, metastruct **pMeta);










