library(ggplot2)
library(GGally)

#load("../WithoutIndependentEst/ParamsOldWeights.RData")
load("../WithIndependentEst/ParamsNewWeights.RData")
is.fixed<-prior.params.dist=="fixed"
rownames(params)<-colnames(prior.params)

#params.small<-params[!is.fixed,1:100000]
#rownames(params.small)<-colnames(prior.params)[!is.fixed]
#pairs(t(params.small[1:4,]),lower.panel=NULL)

x<-sample.int(dim(params)[2],1E4,replace=TRUE,prob=pweights)
dat<-t(params[!is.fixed,x])
#dat<-dat[,1:4]

png("pairs.png",width=1000,height=1000,pointsize=26)
ggpairs(dat,lower=list(continuous="cor"),diag=list(continuous="density"),
  upper=list(continuous="points",params=c(colour='blue',alpha=0.1)),axisLabels="show")
dev.off()
